import type { STYLE, STRATEGY } from '@omni-door/utils';
interface Config {
    ts: boolean;
    test: boolean;
    eslint: boolean;
    prettier: boolean;
    commitlint: boolean;
    style: STYLE;
    stylelint: boolean;
    tag?: string;
}
export declare function dependencies(strategy: STRATEGY, config: Config): Promise<{
    depArr: string[];
    depStr: string;
}>;
export declare function devDependencies(strategy: STRATEGY, config: Config): Promise<{
    devDepArr: string[];
    defaultDepArr: string[];
    defaultDepStr: string;
    tsDepArr: string[];
    tsDepStr: string;
    testDepArr: string[];
    testDepStr: string;
    eslintDepArr: string[];
    eslintDepStr: string;
    prettierDepArr: string[];
    prettierDepStr: string;
    commitlintDepArr: string[];
    commitlintDepStr: string;
    stylelintDepArr: string[];
    stylelintDepStr: string;
    devServerDepArr: string[];
    devServerDepStr: string;
    buildDepArr: string[];
    buildDepStr: string;
}>;
export {};
