export declare const dependencies: {
    classnames: string;
};
export declare const devDependencies: {
    '@babel/core': string;
    '@babel/preset-env': string;
    '@babel/preset-typescript': string;
    '@babel/plugin-transform-runtime': string;
    '@babel/plugin-proposal-class-properties': string;
    '@babel/plugin-proposal-decorators': string;
    '@babel/plugin-proposal-private-property-in-object': string;
    '@babel/plugin-proposal-private-methods': string;
    '@commitlint/cli': string;
    '@omni-door/cli': string;
    '@omni-door/gulp-plugin-vue-sfc': string;
    "@chromatic-com/storybook": string;
    "@storybook/addon-actions": string;
    "@storybook/addon-console": string;
    "@storybook/addon-docs": string;
    "@storybook/addon-essentials": string;
    "@storybook/addon-interactions": string;
    "@storybook/addon-knobs": string;
    "@storybook/addon-links": string;
    "@storybook/addon-onboarding": string;
    "@storybook/addon-viewport": string;
    "@storybook/blocks": string;
    "@storybook/vue3": string;
    "@storybook/vue3-vite": string;
    "@storybook/test": string;
    "@storybook/theming": string;
    "@storybook/manager-api": string;
    storybook: string;
    vite: string;
    "@vitejs/plugin-vue": string;
    "@vitejs/plugin-vue-jsx": string;
    '@types/classnames': string;
    '@types/jest': string;
    '@types/node': string;
    '@typescript-eslint/eslint-plugin': string;
    '@typescript-eslint/parser': string;
    '@vue/babel-helper-vue-jsx-merge-props': string;
    '@vue/babel-plugin-jsx': string;
    '@vue/cli-plugin-babel': string;
    '@vue/test-utils': string;
    'babel-jest': string;
    'babel-loader': string;
    'babel-preset-typescript-vue3': string;
    'css-loader': string;
    del: string;
    'detect-port': string;
    eslint: string;
    'eslint-config-prettier': string;
    'eslint-plugin-prettier': string;
    'eslint-plugin-vue': string;
    'file-loader': string;
    gulp: string;
    'gulp-autoprefixer': string;
    'gulp-babel': string;
    'gulp-clean-css': string;
    'gulp-concat': string;
    'gulp-concat-css': string;
    'gulp-cssnano': string;
    'gulp-if': string;
    'gulp-less': string;
    'gulp-sass': string;
    'gulp-sourcemaps': string;
    'gulp-ts-alias': string;
    'gulp-typescript': string;
    "gulp-replace-path": string;
    husky: string;
    ip: string;
    jest: string;
    'jest-transform-stub': string;
    less: string;
    'less-loader': string;
    'lint-staged': string;
    prettier: string;
    'storybook-readme': string;
    sass: string;
    'sass-loader': string;
    'style-loader': string;
    stylelint: string;
    'stylelint-config-css-modules': string;
    'stylelint-config-rational-order': string;
    'stylelint-config-standard': string;
    'stylelint-config-standard-less': string;
    'stylelint-config-standard-scss': string;
    'stylelint-declaration-block-no-ignored-properties': string;
    'stylelint-less': string;
    'stylelint-order': string;
    'stylelint-scss': string;
    through2: string;
    'ts-jest': string;
    'ts-node': string;
    'ts-patch': string;
    typescript: string;
    'typescript-transform-paths': string;
    'url-loader': string;
    vue: string;
    'vue-class-component': string;
    'vue-eslint-parser': string;
    'vue-jest': string;
    'vue-loader': string;
    'vue-property-decorator': string;
    'vue-template-compiler': string;
    'vue-tsc': string;
};
