"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpls_origin_new = exports.tpls_new = exports.tpls_origin_init = exports.tpls_init = void 0;
var babel_1 = __importStar(require("./babel"));
var commitlint_1 = __importStar(require("./commitlint"));
var editor_1 = __importStar(require("./editor"));
var eslint_1 = __importStar(require("./eslint"));
var gulpfile_1 = __importStar(require("./gulpfile"));
var eslintignore_1 = __importStar(require("./ignore/eslintignore"));
var gitignore_1 = __importStar(require("./ignore/gitignore"));
var npmignore_1 = __importStar(require("./ignore/npmignore"));
var prettierignore_1 = __importStar(require("./ignore/prettierignore"));
var jest_1 = __importStar(require("./jest"));
var omni_1 = __importStar(require("./omni"));
var package_1 = __importStar(require("./package"));
var prettier_1 = __importStar(require("./prettier"));
var readme_1 = __importStar(require("./readme"));
var index_zh_CN_1 = __importStar(require("./readme/index.zh-CN"));
var dev_1 = __importStar(require("./readme/dev"));
var dev_zh_CN_1 = __importStar(require("./readme/dev.zh-CN"));
var tsconfig_1 = __importStar(require("./tsconfig"));
var vsc_1 = __importStar(require("./vsc"));
var stylelint_1 = __importStar(require("./stylelint"));
var index_1 = __importStar(require("./source/index"));
var classnames_1 = __importStar(require("./source/classnames"));
var d_global_1 = __importStar(require("./source/d-global"));
var d_shim_tsx_1 = __importStar(require("./source/d-shim-tsx"));
var stories_1 = __importStar(require("./source/stories"));
var github_svg_1 = __importStar(require("./public/github-svg"));
var main_1 = __importStar(require("./storybook/main"));
var preview_1 = __importStar(require("./storybook/preview"));
var manager_1 = __importStar(require("./storybook/manager"));
var theme_1 = __importStar(require("./storybook/theme"));
var h_1 = __importStar(require("./new/h"));
var sfc_1 = __importStar(require("./new/sfc"));
var index_2 = __importStar(require("./new/index"));
var readme_2 = __importStar(require("./new/readme"));
var style_1 = __importStar(require("./new/style"));
var stylesheet_1 = __importStar(require("./new/stylesheet"));
var test_1 = __importStar(require("./new/test"));
var stories_2 = __importStar(require("./new/stories"));
var commit_msg_1 = __importStar(require("./husky/commit-msg"));
var pre_commit_1 = __importStar(require("./husky/pre-commit"));
var pre_push_1 = __importStar(require("./husky/pre-push"));
var babel_2 = require("./babel");
Object.defineProperty(exports, "babel", { enumerable: true, get: function () { return babel_2.default; } });
Object.defineProperty(exports, "tpl_babel", { enumerable: true, get: function () { return babel_2.tpl_babel; } });
var commitlint_2 = require("./commitlint");
Object.defineProperty(exports, "commitlint", { enumerable: true, get: function () { return commitlint_2.default; } });
Object.defineProperty(exports, "tpl_commitlint", { enumerable: true, get: function () { return commitlint_2.tpl_commitlint; } });
var editor_2 = require("./editor");
Object.defineProperty(exports, "editor", { enumerable: true, get: function () { return editor_2.default; } });
Object.defineProperty(exports, "tpl_editor", { enumerable: true, get: function () { return editor_2.tpl_editor; } });
var eslint_2 = require("./eslint");
Object.defineProperty(exports, "eslint", { enumerable: true, get: function () { return eslint_2.default; } });
Object.defineProperty(exports, "tpl_eslint", { enumerable: true, get: function () { return eslint_2.tpl_eslint; } });
var gulpfile_2 = require("./gulpfile");
Object.defineProperty(exports, "gulpfile", { enumerable: true, get: function () { return gulpfile_2.default; } });
Object.defineProperty(exports, "tpl_gulpfile", { enumerable: true, get: function () { return gulpfile_2.tpl_gulpfile; } });
var eslintignore_2 = require("./ignore/eslintignore");
Object.defineProperty(exports, "eslintignore", { enumerable: true, get: function () { return eslintignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_eslint", { enumerable: true, get: function () { return eslintignore_2.tpl_ignore_eslint; } });
var gitignore_2 = require("./ignore/gitignore");
Object.defineProperty(exports, "gitignore", { enumerable: true, get: function () { return gitignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_git", { enumerable: true, get: function () { return gitignore_2.tpl_ignore_git; } });
var npmignore_2 = require("./ignore/npmignore");
Object.defineProperty(exports, "npmignore", { enumerable: true, get: function () { return npmignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_npm", { enumerable: true, get: function () { return npmignore_2.tpl_ignore_npm; } });
var prettierignore_2 = require("./ignore/prettierignore");
Object.defineProperty(exports, "prettierignore", { enumerable: true, get: function () { return prettierignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_prettier", { enumerable: true, get: function () { return prettierignore_2.tpl_ignore_prettier; } });
var jest_2 = require("./jest");
Object.defineProperty(exports, "jest", { enumerable: true, get: function () { return jest_2.default; } });
Object.defineProperty(exports, "tpl_jest", { enumerable: true, get: function () { return jest_2.tpl_jest; } });
var omni_2 = require("./omni");
Object.defineProperty(exports, "omni", { enumerable: true, get: function () { return omni_2.default; } });
Object.defineProperty(exports, "tpl_omni", { enumerable: true, get: function () { return omni_2.tpl_omni; } });
var package_2 = require("./package");
Object.defineProperty(exports, "pkj", { enumerable: true, get: function () { return package_2.default; } });
Object.defineProperty(exports, "tpl_package", { enumerable: true, get: function () { return package_2.tpl_package; } });
var prettier_2 = require("./prettier");
Object.defineProperty(exports, "prettier", { enumerable: true, get: function () { return prettier_2.default; } });
Object.defineProperty(exports, "tpl_prettier", { enumerable: true, get: function () { return prettier_2.tpl_prettier; } });
var readme_3 = require("./readme");
Object.defineProperty(exports, "readme", { enumerable: true, get: function () { return readme_3.default; } });
Object.defineProperty(exports, "tpl_readme", { enumerable: true, get: function () { return readme_3.tpl_readme; } });
var index_zh_CN_2 = require("./readme/index.zh-CN");
Object.defineProperty(exports, "readme_cn", { enumerable: true, get: function () { return index_zh_CN_2.default; } });
Object.defineProperty(exports, "tpl_readme_cn", { enumerable: true, get: function () { return index_zh_CN_2.tpl_readme_cn; } });
var dev_2 = require("./readme/dev");
Object.defineProperty(exports, "readme_dev", { enumerable: true, get: function () { return dev_2.default; } });
Object.defineProperty(exports, "tpl_readme_dev", { enumerable: true, get: function () { return dev_2.tpl_readme_dev; } });
var dev_zh_CN_2 = require("./readme/dev.zh-CN");
Object.defineProperty(exports, "readme_dev_cn", { enumerable: true, get: function () { return dev_zh_CN_2.default; } });
Object.defineProperty(exports, "tpl_readme_dev_cn", { enumerable: true, get: function () { return dev_zh_CN_2.tpl_readme_dev_cn; } });
var tsconfig_2 = require("./tsconfig");
Object.defineProperty(exports, "tsconfig", { enumerable: true, get: function () { return tsconfig_2.default; } });
Object.defineProperty(exports, "tpl_tsconfig", { enumerable: true, get: function () { return tsconfig_2.tpl_tsconfig; } });
var vsc_2 = require("./vsc");
Object.defineProperty(exports, "vscode", { enumerable: true, get: function () { return vsc_2.default; } });
Object.defineProperty(exports, "tpl_vscode_setting", { enumerable: true, get: function () { return vsc_2.tpl_vscode_setting; } });
var stylelint_2 = require("./stylelint");
Object.defineProperty(exports, "stylelint", { enumerable: true, get: function () { return stylelint_2.default; } });
Object.defineProperty(exports, "tpl_stylelint", { enumerable: true, get: function () { return stylelint_2.tpl_stylelint; } });
var index_3 = require("./source/index");
Object.defineProperty(exports, "source_index", { enumerable: true, get: function () { return index_3.default; } });
Object.defineProperty(exports, "tpl_src_index", { enumerable: true, get: function () { return index_3.tpl_src_index; } });
var classnames_2 = require("./source/classnames");
Object.defineProperty(exports, "source_classnames", { enumerable: true, get: function () { return classnames_2.default; } });
Object.defineProperty(exports, "tpl_src_classnames", { enumerable: true, get: function () { return classnames_2.tpl_src_classnames; } });
var d_global_2 = require("./source/d-global");
Object.defineProperty(exports, "source_d_global", { enumerable: true, get: function () { return d_global_2.default; } });
Object.defineProperty(exports, "tpl_src_d_global", { enumerable: true, get: function () { return d_global_2.tpl_src_d_global; } });
var d_shim_tsx_2 = require("./source/d-shim-tsx");
Object.defineProperty(exports, "source_d_shim_tsx", { enumerable: true, get: function () { return d_shim_tsx_2.default; } });
Object.defineProperty(exports, "tpl_src_d_shim_tsx", { enumerable: true, get: function () { return d_shim_tsx_2.tpl_src_d_shim_tsx; } });
var stories_3 = require("./source/stories");
Object.defineProperty(exports, "source_stories", { enumerable: true, get: function () { return stories_3.default; } });
Object.defineProperty(exports, "tpl_src_stories", { enumerable: true, get: function () { return stories_3.tpl_src_stories; } });
var github_svg_2 = require("./public/github-svg");
Object.defineProperty(exports, "public_github_svg", { enumerable: true, get: function () { return github_svg_2.default; } });
Object.defineProperty(exports, "tpl_public_github_svg", { enumerable: true, get: function () { return github_svg_2.tpl_public_github_svg; } });
var preview_2 = require("./storybook/preview");
Object.defineProperty(exports, "storybook_preview", { enumerable: true, get: function () { return preview_2.default; } });
Object.defineProperty(exports, "tpl_storybook_preview", { enumerable: true, get: function () { return preview_2.tpl_storybook_preview; } });
var main_2 = require("./storybook/main");
Object.defineProperty(exports, "storybook_main", { enumerable: true, get: function () { return main_2.default; } });
Object.defineProperty(exports, "tpl_storybook_main", { enumerable: true, get: function () { return main_2.tpl_storybook_main; } });
var manager_2 = require("./storybook/manager");
Object.defineProperty(exports, "storybook_manager", { enumerable: true, get: function () { return manager_2.default; } });
Object.defineProperty(exports, "tpl_storybook_manager", { enumerable: true, get: function () { return manager_2.tpl_storybook_manager; } });
var theme_2 = require("./storybook/theme");
Object.defineProperty(exports, "storybook_theme", { enumerable: true, get: function () { return theme_2.default; } });
Object.defineProperty(exports, "tpl_storybook_theme", { enumerable: true, get: function () { return theme_2.tpl_storybook_theme; } });
var sfc_2 = require("./new/sfc");
Object.defineProperty(exports, "component_sfc", { enumerable: true, get: function () { return sfc_2.default; } });
Object.defineProperty(exports, "tpl_new_component_sfc", { enumerable: true, get: function () { return sfc_2.tpl_new_component_sfc; } });
var h_2 = require("./new/h");
Object.defineProperty(exports, "component_h", { enumerable: true, get: function () { return h_2.default; } });
Object.defineProperty(exports, "tpl_new_component_h", { enumerable: true, get: function () { return h_2.tpl_new_component_h; } });
var index_4 = require("./new/index");
Object.defineProperty(exports, "component_index", { enumerable: true, get: function () { return index_4.default; } });
Object.defineProperty(exports, "tpl_new_index", { enumerable: true, get: function () { return index_4.tpl_new_index; } });
var readme_4 = require("./new/readme");
Object.defineProperty(exports, "component_readme", { enumerable: true, get: function () { return readme_4.default; } });
Object.defineProperty(exports, "tpl_new_readme", { enumerable: true, get: function () { return readme_4.tpl_new_readme; } });
var style_2 = require("./new/style");
Object.defineProperty(exports, "component_style", { enumerable: true, get: function () { return style_2.default; } });
Object.defineProperty(exports, "tpl_new_style", { enumerable: true, get: function () { return style_2.tpl_new_style; } });
var stylesheet_2 = require("./new/stylesheet");
Object.defineProperty(exports, "component_stylesheet", { enumerable: true, get: function () { return stylesheet_2.default; } });
Object.defineProperty(exports, "tpl_new_stylesheet", { enumerable: true, get: function () { return stylesheet_2.tpl_new_stylesheet; } });
var test_2 = require("./new/test");
Object.defineProperty(exports, "component_test", { enumerable: true, get: function () { return test_2.default; } });
Object.defineProperty(exports, "tpl_new_test", { enumerable: true, get: function () { return test_2.tpl_new_test; } });
var stories_4 = require("./new/stories");
Object.defineProperty(exports, "component_stories", { enumerable: true, get: function () { return stories_4.default; } });
Object.defineProperty(exports, "tpl_new_story", { enumerable: true, get: function () { return stories_4.tpl_new_story; } });
var commit_msg_2 = require("./husky/commit-msg");
Object.defineProperty(exports, "husky_commit_msg", { enumerable: true, get: function () { return commit_msg_2.default; } });
Object.defineProperty(exports, "tpl_husky_commit_msg", { enumerable: true, get: function () { return commit_msg_2.tpl_husky_commit_msg; } });
var pre_commit_2 = require("./husky/pre-commit");
Object.defineProperty(exports, "husky_pre_commit", { enumerable: true, get: function () { return pre_commit_2.default; } });
Object.defineProperty(exports, "tpl_husky_pre_commit", { enumerable: true, get: function () { return pre_commit_2.tpl_husky_pre_commit; } });
var pre_push_2 = require("./husky/pre-push");
Object.defineProperty(exports, "husky_pre_push", { enumerable: true, get: function () { return pre_push_2.default; } });
Object.defineProperty(exports, "tpl_husky_pre_push", { enumerable: true, get: function () { return pre_push_2.tpl_husky_pre_push; } });
/* -- templates - init --  */
exports.tpls_init = {
    babel: babel_1.default,
    commitlint: commitlint_1.default,
    editor: editor_1.default,
    eslint: eslint_1.default,
    gulpfile: gulpfile_1.default,
    eslintignore: eslintignore_1.default,
    gitignore: gitignore_1.default,
    jest: jest_1.default,
    npmignore: npmignore_1.default,
    prettierignore: prettierignore_1.default,
    omni: omni_1.default,
    pkj: package_1.default,
    prettier: prettier_1.default,
    readme: readme_1.default,
    readme_cn: index_zh_CN_1.default,
    readme_dev: dev_1.default,
    readme_dev_cn: dev_zh_CN_1.default,
    stylelint: stylelint_1.default,
    tsconfig: tsconfig_1.default,
    vscode: vsc_1.default,
    source_index: index_1.default,
    source_classnames: classnames_1.default,
    source_d_global: d_global_1.default,
    source_d_shim_tsx: d_shim_tsx_1.default,
    source_stories: stories_1.default,
    public_github_svg: github_svg_1.default,
    storybook_preview: preview_1.default,
    storybook_main: main_1.default,
    storybook_manager: manager_1.default,
    storybook_theme: theme_1.default,
    husky_commit_msg: commit_msg_1.default,
    husky_pre_commit: pre_commit_1.default,
    husky_pre_push: pre_push_1.default
};
exports.tpls_origin_init = {
    tpl_babel: babel_1.tpl_babel,
    tpl_commitlint: commitlint_1.tpl_commitlint,
    tpl_editor: editor_1.tpl_editor,
    tpl_eslint: eslint_1.tpl_eslint,
    tpl_gulpfile: gulpfile_1.tpl_gulpfile,
    tpl_ignore_eslint: eslintignore_1.tpl_ignore_eslint,
    tpl_ignore_git: gitignore_1.tpl_ignore_git,
    tpl_ignore_npm: npmignore_1.tpl_ignore_npm,
    tpl_ignore_prettier: prettierignore_1.tpl_ignore_prettier,
    tpl_jest: jest_1.tpl_jest,
    tpl_omni: omni_1.tpl_omni,
    tpl_package: package_1.tpl_package,
    tpl_prettier: prettier_1.tpl_prettier,
    tpl_readme: readme_1.tpl_readme,
    tpl_readme_dev: dev_1.tpl_readme_dev,
    tpl_readme_cn: index_zh_CN_1.tpl_readme_cn,
    tpl_readme_dev_cn: dev_zh_CN_1.tpl_readme_dev_cn,
    tpl_src_d_global: d_global_1.tpl_src_d_global,
    tpl_src_d_shim_tsx: d_shim_tsx_1.tpl_src_d_shim_tsx,
    tpl_src_classnames: classnames_1.tpl_src_classnames,
    tpl_src_index: index_1.tpl_src_index,
    tpl_src_stories: stories_1.tpl_src_stories,
    tpl_public_github_svg: github_svg_1.tpl_public_github_svg,
    tpl_storybook_preview: preview_1.tpl_storybook_preview,
    tpl_storybook_main: main_1.tpl_storybook_main,
    tpl_storybook_manager: manager_1.tpl_storybook_manager,
    tpl_storybook_theme: theme_1.tpl_storybook_theme,
    tpl_stylelint: stylelint_1.tpl_stylelint,
    tpl_tsconfig: tsconfig_1.tpl_tsconfig,
    tpl_vscode_setting: vsc_1.tpl_vscode_setting,
    tpl_husky_commit_msg: commit_msg_1.tpl_husky_commit_msg,
    tpl_husky_pre_commit: pre_commit_1.tpl_husky_pre_commit,
    tpl_husky_pre_push: pre_push_1.tpl_husky_pre_push
};
/* -- templates - new --  */
exports.tpls_new = {
    component_h: h_1.default,
    component_sfc: sfc_1.default,
    component_index: index_2.default,
    component_readme: readme_2.default,
    component_style: style_1.default,
    component_stylesheet: stylesheet_1.default,
    component_test: test_1.default,
    component_stories: stories_2.default
};
exports.tpls_origin_new = {
    tpl_new_component_h: h_1.tpl_new_component_h,
    tpl_new_component_sfc: sfc_1.tpl_new_component_sfc,
    tpl_new_index: index_2.tpl_new_index,
    tpl_new_readme: readme_2.tpl_new_readme,
    tpl_new_story: stories_2.tpl_new_story,
    tpl_new_style: style_1.tpl_new_style,
    tpl_new_stylesheet: stylesheet_1.tpl_new_stylesheet,
    tpl_new_test: test_1.tpl_new_test
};
exports.default = __assign(__assign({}, exports.tpls_init), exports.tpls_new);
