"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_jest = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\n\nmodule.exports = {\n  clearMocks: true,\n\n  coverageDirectory: 'coverage',\n\n  moduleFileExtensions: [\n    'js',\n    'jsx',\n    'json',\n    'ts',\n    'tsx',\n    'vue'\n  ],\n\n  roots: [\n    '<rootDir>/src'\n  ],\n\n  testRegex: '(test|__test__)/.*.test.(vue|ts|tsx|js|jsx)?$',\n\n  transform: {\n    ${ts ? `'^.+.tsx?$': 'babel-jest',` : `'^.+.jsx?$': 'babel-jest',` }\n    '^.+.vue$': 'vue-jest'\n  },\n\n  moduleNameMapper: {\n    '^@/(.*)$': '<rootDir>/src/$1',\n    '^.+.(css|styl|less|sass|scss|png|jpg|ttf|woff|woff2)$': 'jest-transform-stub'\n  },\n\n  preset: 'ts-jest/presets/js-with-ts'\n};\n`";
exports.tpl_jest = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_jest, 'tpl');
