"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_component_sfc = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`<template>\n  <div :class=\"classes()\">\n    <slot name=\"default\">{{ label }}</slot>\n  </div>\n</template>\n\n<script${ts ? ` lang=\"ts\"` : ''}>\nimport {\n  defineComponent,\n  onMounted\n} from 'vue';\nimport classnames from '@/utils/classnames';\n\nexport default defineComponent({\n  name: '${componentName}',\n  props: {\n    label: {\n      type: String,\n      default: 'Hello ${componentName}'\n    },\n    prefixCls: {\n      type: String,\n      default: '${componentName.toLowerCase()}'\n    }\n  },\n  setup(props) {\n    const classes = classnames(props.prefixCls);\n    onMounted(() => {\n      console.info('${componentName} mounted!');\n    });\n\n    return { classes };\n  }\n});\n</script>`";
exports.tpl_new_component_sfc = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_component_sfc, 'tpl');
