"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_story = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import ${componentName} from '.';\nimport './style';\n\nimport type { Meta, StoryObj } from '@storybook/vue3';\n\nconst meta: Meta<typeof ${componentName}> = {\n  title: 'Components/${componentName}',\n  component: ${componentName},\n  // https://storybook.js.org/docs/api/arg-types#controltype\n  argTypes: {\n    label: { control: 'text' },\n    prefixCls: { control: 'text' },\n  },\n  args: {\n    label: 'Hello ${componentName}',\n    prefixCls: '${componentName.toLowerCase()}',\n  },\n  tags: ['autodocs'],\n};\n\nexport default meta;\n\ntype Story = StoryObj<typeof ${componentName}>;\n\nexport const Primary: Story = {\n  args: {\n    prefixCls: '${componentName.toLowerCase()}',\n  },\n};\n`";
exports.tpl_new_story = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_story, 'tpl');
