"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_test = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import Vue from 'vue';\nimport { shallowMount, mount } from '@vue/test-utils';\nimport ${componentName} from '../';\n\ndescribe('${componentName}', () => {\n  it('renders correctly', () => {\n    const wrapper = shallowMount(${componentName});\n    expect(wrapper).toMatchSnapshot();\n  });\n});\n`";
exports.tpl_new_test = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_test, 'tpl');
