"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_readme_dev = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`# Dev\n\n### Install dependencies\n\\`\\`\\`shell\n${install}\n\\`\\`\\`\n\n### Run project\n\\`\\`\\`shell\n${runScript} dev\n\\`\\`\\`\n\n### Create a Component\n\\`\\`\\`shell\n${runScript} new\n\\`\\`\\`\n\n*Create a functional Component which name is Button\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} new Button ${paramScript}f\n\\`\\`\\`\n\n### Build\n\\`\\`\\`shell\n${runScript} build\n\\`\\`\\`\n\n*Bypass all pre-check before building\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} build ${paramScript}n\n\\`\\`\\`\n\n### Release\n\\`\\`\\`shell\n${runScript} release\n\\`\\`\\`\n\n*Ignoring version of iteration\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} release ${paramScript}i\n\\`\\`\\`\n\n*Manual specify version of iteration to 0.3.25\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} release ${paramScript}m 0.3.25\n\\`\\`\\`\n\n*Bypass all pre-check before release\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} release ${paramScript}n\n\\`\\`\\`\n\n**More powerful customizations is in [${configFileName}](https://github.com/omni-door/cli/blob/master/docs/OMNI.md)**\n`";
exports.tpl_readme_dev = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_readme_dev, 'tpl');
