"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_readme = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`# ${project_name}\n\nEnglish | [\u7B80\u4F53\u4E2D\u6587](./README.zh-CN.md)\n\n## Quick start\n### Install\n\\`\\`\\`shell\nnpm i -S ${project_name}\n# or\nyarn add ${project_name}\n# or\npnpm i -S ${project_name}\n\\`\\`\\`\n\n### Usage\n\\`\\`\\`js\nimport UI from '${project_name}';\n\\`\\`\\`\n\n## Dev\nFor debugging or maintenance, you can clone the whole git repository and run the project:\n\n\\`\\`\\`shell\ngit clone --depth 1\n\n${install} && ${runScript} dev\n\\`\\`\\`\n\n[More Detials](./DEV.md)\n`";
exports.tpl_readme = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_readme, 'tpl');
