"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_readme_cn = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`# ${project_name}\n\n[English](./README.md) | \u7B80\u4F53\u4E2D\u6587\n\n## \u5FEB\u901F\u5F00\u59CB\n### \u5B89\u88C5\n\\`\\`\\`shell\nnpm i -S ${project_name}\n# \u6216\u8005\nyarn add ${project_name}\n# \u6216\u8005\npnpm i -S ${project_name}\n\\`\\`\\`\n\n### \u4F7F\u7528\n\\`\\`\\`js\nimport UI from '${project_name}';\n\\`\\`\\`\n\n## \u5F00\u53D1\n\u5BF9\u4E8E\u8C03\u8BD5\u6216\u7EF4\u62A4\uFF0C\u53EF\u4EE5\u5C06\u9879\u76EE clone \u5230\u672C\u5730\uFF0C\u7136\u540E\u542F\u52A8\u9879\u76EE\u3002\n\n\\`\\`\\`shell\ngit clone --depth 1\n\n${install} && ${runScript} dev\n\\`\\`\\`\n\n[\u66F4\u591A\u8BE6\u60C5](./DEV.zh-CN.md)\n`";
exports.tpl_readme_cn = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_readme_cn, 'tpl');
