"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_stories = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import { Meta } from \"@storybook/blocks\";\n\n<Meta title=\"Get Started\" />\n\n# ${project_name}\n\n## Quick start\n### Install\n\\`\\`\\`shell\nnpm i -S ${project_name}\n# or\nyarn add ${project_name}\n# or\npnpm i -S ${project_name}\n\\`\\`\\`\n\n### Usage\n\\`\\`\\`js\nimport UI from '${project_name}';\n\\`\\`\\`\n\n## Dev\nFor debugging or maintenance, you can clone the whole git repository and run the project:\n\n\\`\\`\\`shell\ngit clone --depth 1\n\n${install} && ${runScript} dev\n\\`\\`\\`\n`";
exports.tpl_src_stories = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_stories, 'tpl');
