"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.devDependencies = exports.dependencies = void 0;
exports.dependencies = {
    'classnames': '~2.2.6'
};
exports.devDependencies = {
    '@babel/core': '~7.25.9',
    '@babel/preset-env': '~7.25.9',
    '@babel/preset-typescript': '~7.25.9',
    '@babel/plugin-transform-runtime': '~7.25.9',
    '@babel/plugin-proposal-class-properties': '~7.18.6',
    '@babel/plugin-proposal-decorators': '~7.25.9',
    '@babel/plugin-proposal-private-property-in-object': '~7.21.11',
    '@babel/plugin-proposal-private-methods': '~7.18.6',
    '@commitlint/cli': '8.3.5',
    '@omni-door/cli': 'latest',
    '@omni-door/gulp-plugin-vue-sfc': '~0.2.0',
    "@chromatic-com/storybook": "^1.6.1",
    "@storybook/addon-actions": "~8.2.9",
    "@storybook/addon-console": "~3.0.0",
    "@storybook/addon-docs": "~8.2.9",
    "@storybook/addon-essentials": "~8.2.9",
    "@storybook/addon-interactions": "~8.2.9",
    "@storybook/addon-knobs": "~8.0.1",
    "@storybook/addon-links": "~8.2.9",
    "@storybook/addon-onboarding": "~8.2.9",
    "@storybook/addon-viewport": "~8.2.9",
    "@storybook/blocks": "~8.2.9",
    "@storybook/vue3": "~8.2.9",
    "@storybook/vue3-vite": "~8.2.9",
    "@storybook/test": "~8.2.9",
    "@storybook/theming": "~8.2.9",
    "@storybook/manager-api": "~8.2.9",
    "storybook": "~8.2.9",
    "vite": "~5.3.5",
    "@vitejs/plugin-vue": "~5.1.1",
    "@vitejs/plugin-vue-jsx": "~4.0.0",
    '@types/classnames': '~2.2.11',
    '@types/jest': '29.5.12',
    '@types/node': '~18.19.39',
    '@typescript-eslint/eslint-plugin': '~8.23.0',
    '@typescript-eslint/parser': '~8.23.0',
    '@vue/babel-helper-vue-jsx-merge-props': '~1.2.1',
    '@vue/babel-plugin-jsx': '~1.2.2',
    '@vue/cli-plugin-babel': '~5.0.8',
    '@vue/test-utils': '~2.4.6',
    'babel-jest': '~29.7.0',
    'babel-loader': '~8.3.0',
    'babel-preset-typescript-vue3': '~2.0.14',
    'css-loader': '~3.4.2',
    'del': '5.1.0',
    'detect-port': '1.3.0',
    'eslint': '~8.57.1',
    'eslint-config-prettier': '~10.0.1',
    'eslint-plugin-prettier': '~5.2.3',
    'eslint-plugin-vue': '~7.12.0',
    'file-loader': '~5.0.2',
    'gulp': '4.0.2',
    'gulp-autoprefixer': '8.0.0',
    'gulp-babel': '8.0.0',
    'gulp-clean-css': '4.3.0',
    'gulp-concat': '2.6.1',
    'gulp-concat-css': '3.1.0',
    'gulp-cssnano': '2.1.3',
    'gulp-if': '3.0.0',
    'gulp-less': '4.0.1',
    'gulp-sass': '5.1.0',
    'gulp-sourcemaps': '3.0.0',
    'gulp-ts-alias': '1.3.0',
    'gulp-typescript': '5.0.1',
    "gulp-replace-path": "0.4.0",
    'husky': '9.1.7',
    'ip': '1.1.5',
    'jest': '~29.7.0',
    'jest-transform-stub': '2.0.0',
    'less': '4.2.0',
    'less-loader': '~5.0.0',
    'lint-staged': '15.4.3',
    'prettier': '~3.4.2',
    'storybook-readme': '5.0.8',
    'sass': '~1.84.0',
    'sass-loader': '~16.0.4',
    'style-loader': '~1.1.3',
    'stylelint': '16.14.1',
    'stylelint-config-css-modules': '4.4.0',
    'stylelint-config-rational-order': '0.1.2',
    'stylelint-config-standard': '37.0.0',
    'stylelint-config-standard-less': '3.0.1',
    'stylelint-config-standard-scss': '14.0.0',
    'stylelint-declaration-block-no-ignored-properties': '2.8.0',
    'stylelint-less': '3.0.1',
    'stylelint-order': '6.0.4',
    'stylelint-scss': '6.11.0',
    'through2': '4.0.1',
    'ts-jest': '~29.2.3',
    'ts-node': '10.9.2',
    'ts-patch': '~3.2.1',
    'typescript': '~5.5.4',
    'typescript-transform-paths': '~3.4.7',
    'url-loader': '~3.0.0',
    'vue': '~3.4.35',
    'vue-class-component': '~7.2.6',
    'vue-eslint-parser': '~7.8.0',
    'vue-jest': '~4.0.1',
    'vue-loader': '~15.7.0',
    'vue-property-decorator': '~9.1.2',
    'vue-template-compiler': '2.7.16',
    'vue-tsc': '~2.0.29'
};
