"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_gulpfile = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\nconst gulp = require('gulp');\n\nmodule.exports = function (config) {\n  const { task, params } = config;\n\n  const [ compileCJS, compileES, compileSFC, ...rest ] = task;\n  return [ gulp.series(compileCJS, compileES, compileSFC), ...rest ];\n}\n`";
exports.tpl_gulpfile = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_gulpfile, 'tpl');
