"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_component_h = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import {\n  defineComponent,\n  onMounted\n} from 'vue';\nimport classnames from '@/utils/classnames';\n\nexport default defineComponent({\n  name: '${componentName}',\n  props: {\n    label: {\n      type: String,\n      default: 'Hello ${componentName}'\n    },\n    prefixCls: {\n      type: String,\n      default: '${componentName.toLowerCase()}'\n    }\n  },\n  setup(props, { slots }) {\n    const { label, prefixCls } = props;\n    const classes = classnames(prefixCls);\n    onMounted(() => {\n      console.info('${componentName} mounted!');\n    });\n\n    return () => (\n      <div class={classes()}>\n        {slots.default ? slots.default() : label}\n      </div>\n    );\n  },\n});`";
exports.tpl_new_component_h = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_component_h, 'tpl');
