"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_component_h_class = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import { Component, Vue, Prop } from 'vue-property-decorator';\nimport classnames from '@/utils/classnames';\n${ts ? `/* import types */\nimport type { CreateElement, VNode } from 'vue';\n` : ''}\n@Component\nexport default class ${componentName} extends Vue {\n  @Prop({ type: String, default: '${componentName.toLowerCase()}' }) ${ts ? `private prefixCls!: string;` : 'prefixCls;'}\n\n  ${ts ? `protected render(h: CreateElement): VNode` : 'render(h)'} {\n    const content = this.$slots.default;\n    const classes = classnames(this.prefixCls);\n    return h(\n      'div',\n      {\n        staticClass: classes()\n      },\n      content\n    );\n  }\n}`";
exports.tpl_new_component_h_class = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_component_h_class, 'tpl');
