"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_readme = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`# ${componentName}\n\n## APIs\n\n### Props\n| Name | Description | Type | Default |\n| --- | --- | --- | --- |\n| prefixCls(optional) | The classname prefix for wholly control the component style | string | \\`'${componentName.toLowerCase()}'\\` | \n\n### Slots\n| Name | Description |\n| --- | --- |\n| default(optional) | The default Vue slot |\n\n## Example\n\n\\`\\`\\`vue\n<template>\n  <${componentName}>\n    {{ 'Hello ${componentName}' }}\n  </${componentName}>\n</template>\n\n<script${ts ? ' lang=\"ts\"' : ''}>\n  import { Component, Vue } from 'vue-property-decorator';\n  import { ${componentName} } from './${componentName}';\n\n  @Component(\n    components: {\n      ${componentName}\n    }\n  )\n  export class App extends Vue {\n    mounted () {\n      console.info('mounted!')\n    }\n  }\n</script>\n\\`\\`\\`\n`";
exports.tpl_new_readme = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_readme, 'tpl');
