"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_classnames = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import classNames from 'classnames';\n\nexport const classnames = (_prefix_: string) => (_prefix?: string) => (\n  suffix?: string,\n  className?: string\n) => {\n  let prefix = _prefix_;\n  if (_prefix) prefix = _prefix_ + '-' + _prefix;\n  return classNames(\n    {\n      [\\`\\${prefix}\\`]: !!prefix && !suffix,\n      [\\`\\${prefix}-\\${suffix}\\`]: !!prefix && !!suffix,\n    },\n    className\n  );\n};\n\nexport default classnames('prefix');\n`";
exports.tpl_src_classnames = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_classnames, 'tpl');
